Docs
DocumentationQuery ReferenceAPI Reference
Open Console→→
DocumentationQuery ReferenceAPI Reference

Get started

IntroductionSend dataQuery dataPaginationAPI limits

Annotations

List all annotationsGETRetrieve annotationGETCreate annotationPOSTUpdate annotationPUTDelete annotationDELETE

API tokens

List all API tokensGETRetrieve API tokenGETCreate API tokenPOSTRegenerate API tokenPOSTDelete API tokenDELETE

Dashboards

List all dashboardsGETRetrieve dashboardGETCreate dashboardPOSTUpdate dashboardPUTPatch dashboard elementPATCHDelete dashboardDELETE

Datasets

List all datasetsGETRetrieve datasetGETList all fields in datasetGETRetrieve field in datasetGETCreate datasetPOSTIngest dataPOSTRun queryPOSTRun query (legacy)POSTTrim datasetPOSTUpdate datasetPUTUpdate fieldPUTVacuum datasetPOSTDelete datasetDELETE

Edge

Ingest data to edge deploymentIngest Splunk HEC eventsIngest raw Splunk HEC eventsCheck Splunk HEC healthRun APL query to edge deploymentRun batch query to edge deploymentRun MPL query to edge deploymentGet metrics for a datasetGet metric tags for a datasetGet metric tag values for a datasetGet tags for a datasetGet tag values for a dataset

Map fields

List all map fieldsGETCreate map fieldPOSTUpdate list of map fieldsPUTDelete map fieldsDELETE

Monitors

List all monitorsGETRetrieve monitorGETRetrieve monitor historyGETCreate monitorPOSTUpdate monitorPUTDelete monitorDELETE

Notifiers

List all notifiersGETRetrieve notifierGETCreate notifierPOSTUpdate notifierPUTDelete notifierDELETE

Organizations

List all orgsGETRetrieve orgGETCreate orgPOSTUpdate orgPUTProvision orgPOST

Role-based access control

List all rolesGETRetrieve roleGETList all groupsGETRetrieve groupGETCreate rolePOSTCreate groupPOSTUpdate rolePUTUpdate groupPUTDelete roleDELETEDelete groupDELETE

Saved queries

List all saved queriesGETRetrieve saved queryGETCreate saved queryPOSTUpdate saved queryPUTDelete saved queryDELETE

Users

Retrieve current userGETList all usersGETRetrieve userGETCreate userPOSTUpdate current userPUTUpdate user rolePUTDelete user from orgDELETE

Views

List all viewsGETRetrieve viewGETCreate viewPOSTUpdate viewPUTDelete viewDELETE

Virtual fields

List all virtual fieldsGETRetrieve virtual fieldGETCreate virtual fieldPOSTUpdate virtual fieldPUTDelete virtual fieldDELETE
Role-based access control

Create role

POST/v2/rbac/roles

Creates a new role in the organization with the specified permissions and member assignments.

Body

Defines a role and its associated permissions within the system

application/json
PropertyTypeDescription
datasetCapabilitiesobjectDefines the available permissions for dataset operations
descriptionstringDetailed description of the role's purpose and scope
membersstring[]List of user IDs that are assigned to this role
namestringRequiredUnique name identifier for the role
orgCapabilitiesobjectDefines organization-wide permissions and capabilities
└annotationsstring[]Controls the management of annotations across the organization
└apiTokensstring[]Controls the management of API tokens for authentication
└auditLogstring[]Controls access to organization audit logs
└billingstring[]Controls access to billing information and settings
└dashboardsstring[]Controls the management of organization dashboards
└datasetsstring[]Controls the management of organization datasets
└endpointsstring[]Controls the management of API endpoints
└flowsstring[]Controls the management of data flows and pipelines
└integrationsstring[]Controls the management of third-party integrations
└monitorsstring[]Controls the management of monitoring
└notifiersstring[]Controls the management of notification settings
└rbacstring[]Controls access to role-based access control settings
└sharedAccessKeysstring[]Controls the management of shared access keys
└usersstring[]Controls user management within the organization
└viewsstring[]Controls the management of data views
viewCapabilitiesobjectDefines the available permissions for view operations

Request

curl -X POST 'https://api.axiom.co/v2/rbac/roles' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"datasetCapabilities":{},"description":"string","members":["string"],"name":"string","orgCapabilities":{"annotations":["create"],"apiTokens":["create"],"auditLog":["read"],"billing":["read"],"dashboards":["create"],"datasets":["create"],"endpoints":["create"],"flows":["create"],"integrations":["create"],"monitors":["create"],"notifiers":["create"],"rbac":["create"],"sharedAccessKeys":["read"],"users":["create"],"views":["create"]},"viewCapabilities":{}}'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response

200The role was successfully created
application/json
Was this page helpful?
Suggest edits on GitHub
PreviousRetrieve groupNextCreate group
On this page
BodyRequestResponse